# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

Some variables are protected because this UI class will most likely be extended in the future to display more information. These variables will most likely be shared across 'classes' aka pages. I believe that it is possible that the contents/methods of the first page will be placed in their own class that is an extension of RunInfoUiHandler as more pages are added. For now, I leave as is.

#### Hierarchy (View Summary)

- default
  - default

- Defined in src/ui/run-info-ui-handler.ts:52

##### Index

### Constructors

constructor

### Properties

active
cursor
isVictory
mode
pageMode
runContainer
runDisplayMode
runInfo

### Methods

clear
destroy
getCursor
getTextColor
getUi
processInput
setCursor
setMouseCursorStyle
setup
show

## Constructors

### constructor

- new default(): default

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/run-info-ui-handler.ts:70

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Protected` isVictory

isVictory: boolean

- Defined in src/ui/run-info-ui-handler.ts:55

### `Protected` mode

mode: null | number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` pageMode

pageMode: RunInfoUiMode

- Defined in src/ui/run-info-ui-handler.ts:56

### `Protected` runContainer

runContainer: Container

- Defined in src/ui/run-info-ui-handler.ts:57

### `Protected` runDisplayMode

runDisplayMode: RunDisplayMode

- Defined in src/ui/run-info-ui-handler.ts:53

### `Protected` runInfo

runInfo: SessionSaveData

- Defined in src/ui/run-info-ui-handler.ts:54

## Methods

### clear

- clear(): void

  #### Returns void

  Inherited from default.clear

  - Defined in src/ui/ui-handler.ts:62

### destroy

- destroy(): void

  To be implemented by individual handlers when necessary to free memory Called when BattleScene is reset

  #### Returns void

  Inherited from default.destroy

  - Defined in src/ui/ui-handler.ts:69

### getCursor

- getCursor(): number

  #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:40

### getTextColor

- getTextColor(style: TextStyle , shadow?: boolean): string

  #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:36

### getUi

- getUi(): default

  #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:32

### processInput

- processInput(button: Button ): boolean

  Takes input from the user to perform a desired action.

  #### Parameters

  - button: Button

    Button object to be processed Button.CANCEL, Button.LEFT - removes all containers related to RunInfo and returns the user to Run History Button.CYCLE_FORM, Button.CYCLE_SHINY, Button.CYCLE_ABILITY - runs the function buttonCycleOption()

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/run-info-ui-handler.ts:1058

### setCursor

- setCursor(cursor: number): boolean

  #### Parameters

  - cursor: number

  #### Returns boolean

  Inherited from default.setCursor

  - Defined in src/ui/ui-handler.ts:44

### `Protected` setMouseCursorStyle

- setMouseCursorStyle(cursorStyle: "default" | "pointer"): void

  Changes the style of the mouse cursor.

  #### Parameters

  - cursorStyle: "default" | "pointer"

    cursor style to apply

  #### Returns void

  #### See

  https://developer.mozilla.org/en-US/docs/Web/CSS/cursor

  Inherited from default.setMouseCursorStyle

  - Defined in src/ui/ui-handler.ts:58

### setup

- setup(): Promise<void>

  #### Returns Promise<void>

  Overrides default.setup

  - Defined in src/ui/run-info-ui-handler.ts:74

### show

- show(args: any[]): boolean

  This takes a run's RunEntry and uses the information provided to display essential information about the player's run.

  #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/run-info-ui-handler.ts:93